actions: []
api_documentation: http://docs.ros.org/en/noetic/api/etsi_its_vam_ts_msgs/html
authors: "Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>, Guido K\xFCppers <guido.kueppers@rwth-aachen.de>,\
  \ Lennart Reiher <lennart.reiher@rwth-aachen.de>"
brief: ''
bugtracker: ''
depends:
- catkin
- message_generation
- message_runtime
- ros_environment
- std_msgs
depends_on:
- etsi_its_msgs
- etsi_its_vam_ts_conversion
description: ROS messages for ETSI ITS VAM (TS)
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__etsi_its_messages__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__etsi_its_messages__ubuntu_focal_amd64
has_changelog_rst: true
license: MIT
maintainer_status: developed
maintainers: "Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>, Guido K\xFCppers\
  \ <guido.kueppers@rwth-aachen.de>, Lennart Reiher <lennart.reiher@rwth-aachen.de>"
msgs:
- CurvatureConfidence
- ClusterJoinInfo
- LongitudinalLanePositionConfidence
- VruMovementControl
- Altitude
- SequenceOfTrajectoryInterceptionIndication
- YawRateValue
- ReferencePositionWithConfidence
- LongitudinalLanePositionValue
- StandardLength12b
- Wgs84Angle
- GenerationDeltaTime
- SequenceOfCartesianPosition3d
- RadialShapesList
- BasicContainer
- PosConfidenceEllipse
- LongitudinalAccelerationValue
- VruSubProfileBicyclist
- LanePositionAndType
- Identifier1B
- ExteriorLights
- VruClusterProfiles
- AccelerationChange
- LongitudinalLanePosition
- RadialShape
- Wgs84AngleConfidence
- Identifier2B
- VerticalAccelerationValue
- DeltaLongitude
- DeltaTimeQuarterSecond
- ClusterBreakupInfo
- VruLowFrequencyContainer
- RadialShapeDetails
- AltitudeValue
- LongitudinalAcceleration
- VruClusterOperationContainer
- VruDeviceUsage
- AngleConfidence
- VruClusterInformationContainer
- VruClusterInformation
- MapPosition
- RectangularShape
- CurvatureCalculationMode
- YawRate
- SequenceOfSafeDistanceIndication
- AltitudeConfidence
- SpeedValue
- EllipticalShape
- StationId
- VruExteriorLights
- IntersectionReferenceId
- CurvatureValue
- CircularShape
- PathHistory
- CartesianAngle
- SafeDistanceIndicator
- LateralAcceleration
- LateralAccelerationValue
- TrajectoryInterceptionProbability
- VruHighFrequencyContainer
- ClusterLeaveReason
- PathDeltaTime
- StabilityChangeIndication
- VruEnvironment
- MapReference
- AccelerationConfidence
- DeltaTimeTenthOfSecond
- LanePosition
- PathPoint
- Speed
- VruSubProfileAnimal
- RoadSegmentReferenceId
- VruSpecificExteriorLights
- TrafficParticipantType
- VamParameters
- CartesianAngleValue
- TurningDirection
- GeneralizedLanePosition
- ClusterLeaveInfo
- SemiAxisLength
- VerticalAcceleration
- AccelerationChangeIndication
- Longitude
- CartesianPosition3d
- Wgs84AngleValue
- VAM
- CartesianCoordinate
- TrajectoryInterceptionConfidence
- PathPredicted
- DeltaLatitude
- PathPointPredicted
- PolygonalShape
- ItsPduHeader
- VruMotionPredictionContainer
- VruSubProfilePedestrian
- PositionConfidenceEllipse
- VruSizeClass
- RadialShapes
- MessageId
- TrajectoryInterceptionIndication
- Curvature
- CardinalNumber1B
- SpeedConfidence
- HeadingValue
- ClusterBreakupReason
- YawRateConfidence
- VruProfileAndSubprofile
- VruSubProfileMotorcyclist
- HeadingChangeIndication
- Latitude
- TrafficIslandPosition
- OrdinalNumber1B
- VruAwareness
- ItsPduHeaderVam
- DeltaReferencePosition
- SafeDistanceIndication
- LaneType
- CartesianCoordinateSmall
- StabilityLossProbability
- DeltaAltitude
- Shape
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__etsi_its_vam_ts_msgs__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__etsi_its_vam_ts_msgs__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__etsi_its_vam_ts_msgs__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__etsi_its_vam_ts_msgs__ubuntu_focal_arm64__binary
repo_name: etsi_its_messages
repo_url: ''
srvs: []
timestamp: 1732187012.8852098
url: ''
vcs: git
vcs_uri: https://github.com/ika-rwth-aachen/etsi_its_messages.git
vcs_version: main
